Subject: Re: bug#63595: 30.0.50; ERC 5.6: Add buffer-list and nick-list modules

From: "J.P." <[email-masked]>
Date: Thu, 31 Aug 2023 06:33:02 -0700

Corwin Brust <[email-masked]> writes:

> Moreover, I believe this patch solves the issue (or helps enough I
> can't notice it).  Since applying I see no difference in how often I'm
> disconnected between patched ERC, ERC without nickbar, and hexchat,
> all running on the same system connected to the same bouncer.  (Prior
> to the patch ERC with nickbar running was disconnected much more often
> than hexchat).

FTR, this was applied as:

  commit f8b710e54fb8b29f39bf021ccfb993f881b0134a
  Author: F. Jason Park <[email-masked]>
  Date:   Tue Aug 15 21:14:07 2023 -0700
  
      Prevent unwanted recursion in erc-nickbar-disable
      
   lisp/erc/erc-speedbar.el                        | 112 +++++++++++++++---------
   test/lisp/erc/erc-scenarios-status-sidebar.el   |  13 ++-
   test/lisp/erc/resources/erc-scenarios-common.el |   1 +
   3 files changed, 79 insertions(+), 47 deletions(-)

Thanks.